//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.02.04 at 11:26:18 PM CET 
//


package com.zakon.intelektualnasvojina.model.p1Obrazac;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="STATUS">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="cekanje"/>
 *               &lt;enumeration value="prihvacena"/>
 *               &lt;enumeration value="odbijena"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="Broj_prijave">
 *           &lt;complexType>
 *             &lt;simpleContent>
 *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *                 &lt;attribute name="property" type="{http://www.w3.org/2001/XMLSchema}string" />
 *               &lt;/extension>
 *             &lt;/simpleContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Popunjava_zavod" type="{https://www.serviszaradsapatentima.rs}Popunjava_zavod"/>
 *         &lt;element name="Naziv_pronalaska" type="{https://www.serviszaradsapatentima.rs}Naziv_pronalaska"/>
 *         &lt;element name="Podnosilac_prijave" type="{https://www.serviszaradsapatentima.rs}Podnosilac_prijave"/>
 *         &lt;element name="Pronalazac_ne_zeli_da_bude_naveden_u_prijavi" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="Pronalazac" type="{https://www.serviszaradsapatentima.rs}Pronalazac" minOccurs="0"/>
 *         &lt;element name="Punomocnik" type="{https://www.serviszaradsapatentima.rs}Punomocnik"/>
 *         &lt;element name="Adresa_za_dostavljanje" type="{https://www.serviszaradsapatentima.rs}Adresa" minOccurs="0"/>
 *         &lt;element name="Nacin_dostavljanja">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="elektronsko"/>
 *               &lt;enumeration value="papirno"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="Nadovezivanje" type="{https://www.serviszaradsapatentima.rs}Nadovezivanje" minOccurs="0"/>
 *         &lt;element name="Pravo_prvenstva_ranije_prijave" type="{https://www.serviszaradsapatentima.rs}Pravo_prvenstva_ranije_prijave" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "status",
    "brojPrijave",
    "popunjavaZavod",
    "nazivPronalaska",
    "podnosilacPrijave",
    "pronalazacNeZeliDaBudeNavedenUPrijavi",
    "pronalazac",
    "punomocnik",
    "adresaZaDostavljanje",
    "nacinDostavljanja",
    "nadovezivanje",
    "pravoPrvenstvaRanijePrijave"
})
@XmlRootElement(name = "Zahtev_za_priznanje_patenta")
public class ZahtevZaPriznanjePatenta {

    @XmlElement(name = "STATUS", required = true)
    protected String status;
    @XmlElement(name = "Broj_prijave", required = true)
    protected static String brojPrijave;
    @XmlElement(name = "Popunjava_zavod", required = true)
    protected PopunjavaZavod popunjavaZavod;
    @XmlElement(name = "Naziv_pronalaska", required = true)
    protected NazivPronalaska nazivPronalaska;
    @XmlElement(name = "Podnosilac_prijave", required = true)
    protected PodnosilacPrijave podnosilacPrijave;
    @XmlElement(name = "Pronalazac_ne_zeli_da_bude_naveden_u_prijavi", defaultValue = "false")
    protected boolean pronalazacNeZeliDaBudeNavedenUPrijavi;
    @XmlElement(name = "Pronalazac")
    protected Pronalazac pronalazac;
    @XmlElement(name = "Punomocnik", required = true)
    protected Punomocnik punomocnik;
    @XmlElement(name = "Adresa_za_dostavljanje")
    protected Adresa adresaZaDostavljanje;
    @XmlElement(name = "Nacin_dostavljanja", required = true)
    protected String nacinDostavljanja;
    @XmlElement(name = "Nadovezivanje")
    protected Nadovezivanje nadovezivanje;
    @XmlElement(name = "Pravo_prvenstva_ranije_prijave")
    protected List<PravoPrvenstvaRanijePrijave> pravoPrvenstvaRanijePrijave;

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSTATUS() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSTATUS(String value) {
        this.status = value;
    }

    /**
     * Gets the value of the brojPrijave property.
     * 
     * @return
     *     possible object is
     *     {@link ZahtevZaPriznanjePatenta.BrojPrijave }
     *     
     */
    public static String getBrojPrijave() {
        return brojPrijave;
    }

    /**
     * Sets the value of the brojPrijave property.
     * 
     * @param value
     *     allowed object is
     *     {@link ZahtevZaPriznanjePatenta.BrojPrijave }
     *     
     */
    public static void setBrojPrijave(String value) {
        brojPrijave = value;
    }

    /**
     * Gets the value of the popunjavaZavod property.
     * 
     * @return
     *     possible object is
     *     {@link PopunjavaZavod }
     *     
     */
    public PopunjavaZavod getPopunjavaZavod() {
        return popunjavaZavod;
    }

    /**
     * Sets the value of the popunjavaZavod property.
     * 
     * @param value
     *     allowed object is
     *     {@link PopunjavaZavod }
     *     
     */
    public void setPopunjavaZavod(PopunjavaZavod value) {
        this.popunjavaZavod = value;
    }

    /**
     * Gets the value of the nazivPronalaska property.
     * 
     * @return
     *     possible object is
     *     {@link NazivPronalaska }
     *     
     */
    public NazivPronalaska getNazivPronalaska() {
        return nazivPronalaska;
    }

    /**
     * Sets the value of the nazivPronalaska property.
     * 
     * @param value
     *     allowed object is
     *     {@link NazivPronalaska }
     *     
     */
    public void setNazivPronalaska(NazivPronalaska value) {
        this.nazivPronalaska = value;
    }

    /**
     * Gets the value of the podnosilacPrijave property.
     * 
     * @return
     *     possible object is
     *     {@link PodnosilacPrijave }
     *     
     */
    public PodnosilacPrijave getPodnosilacPrijave() {
        return podnosilacPrijave;
    }

    /**
     * Sets the value of the podnosilacPrijave property.
     * 
     * @param value
     *     allowed object is
     *     {@link PodnosilacPrijave }
     *     
     */
    public void setPodnosilacPrijave(PodnosilacPrijave value) {
        this.podnosilacPrijave = value;
    }

    /**
     * Gets the value of the pronalazacNeZeliDaBudeNavedenUPrijavi property.
     * 
     */
    public boolean isPronalazacNeZeliDaBudeNavedenUPrijavi() {
        return pronalazacNeZeliDaBudeNavedenUPrijavi;
    }

    /**
     * Sets the value of the pronalazacNeZeliDaBudeNavedenUPrijavi property.
     * 
     */
    public void setPronalazacNeZeliDaBudeNavedenUPrijavi(boolean value) {
        this.pronalazacNeZeliDaBudeNavedenUPrijavi = value;
    }

    /**
     * Gets the value of the pronalazac property.
     * 
     * @return
     *     possible object is
     *     {@link Pronalazac }
     *     
     */
    public Pronalazac getPronalazac() {
        return pronalazac;
    }

    /**
     * Sets the value of the pronalazac property.
     * 
     * @param value
     *     allowed object is
     *     {@link Pronalazac }
     *     
     */
    public void setPronalazac(Pronalazac value) {
        this.pronalazac = value;
    }

    /**
     * Gets the value of the punomocnik property.
     * 
     * @return
     *     possible object is
     *     {@link Punomocnik }
     *     
     */
    public Punomocnik getPunomocnik() {
        return punomocnik;
    }

    /**
     * Sets the value of the punomocnik property.
     * 
     * @param value
     *     allowed object is
     *     {@link Punomocnik }
     *     
     */
    public void setPunomocnik(Punomocnik value) {
        this.punomocnik = value;
    }

    /**
     * Gets the value of the adresaZaDostavljanje property.
     * 
     * @return
     *     possible object is
     *     {@link Adresa }
     *     
     */
    public Adresa getAdresaZaDostavljanje() {
        return adresaZaDostavljanje;
    }

    /**
     * Sets the value of the adresaZaDostavljanje property.
     * 
     * @param value
     *     allowed object is
     *     {@link Adresa }
     *     
     */
    public void setAdresaZaDostavljanje(Adresa value) {
        this.adresaZaDostavljanje = value;
    }

    /**
     * Gets the value of the nacinDostavljanja property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNacinDostavljanja() {
        return nacinDostavljanja;
    }

    /**
     * Sets the value of the nacinDostavljanja property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNacinDostavljanja(String value) {
        this.nacinDostavljanja = value;
    }

    /**
     * Gets the value of the nadovezivanje property.
     * 
     * @return
     *     possible object is
     *     {@link Nadovezivanje }
     *     
     */
    public Nadovezivanje getNadovezivanje() {
        return nadovezivanje;
    }

    /**
     * Sets the value of the nadovezivanje property.
     * 
     * @param value
     *     allowed object is
     *     {@link Nadovezivanje }
     *     
     */
    public void setNadovezivanje(Nadovezivanje value) {
        this.nadovezivanje = value;
    }

    /**
     * Gets the value of the pravoPrvenstvaRanijePrijave property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the pravoPrvenstvaRanijePrijave property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPravoPrvenstvaRanijePrijave().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PravoPrvenstvaRanijePrijave }
     * 
     * 
     */
    public List<PravoPrvenstvaRanijePrijave> getPravoPrvenstvaRanijePrijave() {
        if (pravoPrvenstvaRanijePrijave == null) {
            pravoPrvenstvaRanijePrijave = new ArrayList<PravoPrvenstvaRanijePrijave>();
        }
        return this.pravoPrvenstvaRanijePrijave;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;simpleContent>
     *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
     *       &lt;attribute name="property" type="{http://www.w3.org/2001/XMLSchema}string" />
     *     &lt;/extension>
     *   &lt;/simpleContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value"
    })
    public static class BrojPrijave {

        @XmlValue
        protected String value;
        @XmlAttribute(name = "property")
        protected String property;

        /**
         * Gets the value of the value property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setValue(String value) {
            this.value = value;
        }

        /**
         * Gets the value of the property property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getProperty() {
            return property;
        }

        /**
         * Sets the value of the property property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setProperty(String value) {
            this.property = value;
        }

    }

}
